CVE-2012-0814

LOW

Description

The auth_parse_options function in auth-options.c in sshd in OpenSSH before 5.7 provides debug messages containing authorized_keys command options, which allows remote authenticated users to obtain potentially sensitive information by reading these messages, as demonstrated by the shared user account required by Gitolite. NOTE: this can cross privilege boundaries because a user account may intentionally have no shell or filesystem access, and therefore may have no supported way to read an authorized_keys file in its own home directory.

References

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=657445

http://kb.juniper.net/InfoCenter/index?page=content&id=JSA10673

http://openwall.com/lists/oss-security/2012/01/26/15

http://openwall.com/lists/oss-security/2012/01/26/16

http://openwall.com/lists/oss-security/2012/01/27/1

http://openwall.com/lists/oss-security/2012/01/27/4

http://osvdb.org/78706

http://www.openbsd.org/cgi-bin/cvsweb/src/usr.bin/ssh/auth-options.c

http://www.openbsd.org/cgi-bin/cvsweb/src/usr.bin/ssh/auth-options.c.diff?r1=1.53;r2=1.54

http://www.securityfocus.com/bid/51702

https://exchange.xforce.ibmcloud.com/vulnerabilities/72756

Details

Source: MITRE

Published: 2012-01-27

Updated: 2017-08-29

Type: CWE-255

Risk Information

CVSS v2.0

Base Score: 3.5

Vector: AV:N/AC:M/Au:S/C:P/I:N/A:N

Impact Score: 2.9

Exploitability Score: 6.8

Severity: LOW